import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { <%= classify(name) %>Component } from './<%= dasherize(name) %>.component';
import { ConnectedTapResolver } from '@iotize/ionic';
import { routes as childrenRoutes } from './<%= dasherize(name) %>-routing.routes';

const baseRoutes = [
];

const routes: Routes = [
  {
    path: '',
    component: <%= classify(name) %>Component,
    resolve: [
      ConnectedTapResolver
    ],
    data: {
      noTapRedirectUrl: false,
      allowNoProtocolTap: true
    },
    children: [
      ...baseRoutes,
      ...childrenRoutes
    ]
  }
];

@NgModule({
  imports: [
    RouterModule.forChild(routes)
  ],
  providers: [
    // ConnectedTapResolver
  ],
  exports: [RouterModule]
})
export class <%= classify(name) %>RoutingModule { }
